/*
  * Motif Tools Library, Version 3.1
  * $Id: ProgressP.h,v 1.2 2001/09/19 02:57:18 grmcdorman Exp $
  *
  * Written by Grant McDorman
  * Copyright (c) 2001 by Grant McDorman
  *
  * This is open source software.  See the file LICENSE for details.
  * There is no warranty for this software.  See NO_WARRANTY for details.
  *
  * $Log: ProgressP.h,v $
  * Revision 1.2  2001/09/19 02:57:18  grmcdorman
  * This change makes the following modifications:
  *   A new program, printConfig, is provided. This is built by a
  *   simple rule in the Makefile and not installed. It prints
  *   significant defines from Xmt.tmpl.
  *
  *   XmtP.h is now generated from XmtP.h.in using printConfig. As
  *   a result, code compiled outside of the Xmt Imakefiles will
  *   have all of the Xmt.tmpl defines.
  *
  *   Source files are modified to use XmtP.h instead of Xmt.h.
  *
  *   WorkingBox.c is modified to use the new Progress widget.
  *   It can be compiled in the old style if WORKINGBOX_USE_SCALE is
  *   defined at compile time.
  *
  *   Because XmtP.h is generated dynamically, it is removed from CVS
  *   with this check-in.
  *
  * Revision 1.1  2001/07/20 23:03:48  grmcdorman
  * This adds the Progress widget to Xmt.
  *
  *
  */

#ifndef _XmtProgressP_h
#define _XmtProgressP_h    

#include <Xmt/XmtP.h>
#include <Xmt/Progress.h>

typedef struct {
    XtPointer extension;
} XmtProgressClassPart;

typedef struct _XmtProgressClassRec {
    CoreClassPart core_class;
    XmPrimitiveClassPart primitive_class;
    XmtProgressClassPart progress_class;
} XmtProgressClassRec;

externalref XmtProgressClassRec xmtProgressClassRec;


typedef struct _XmtProgressPart {
    /* resources */
    Pixel           fill_colour;
    XmFontList      font_list;
    Boolean         label_boxed;
    XmString        label_string;
    Boolean         label_xor;
    Dimension       margin;
    unsigned char   orientation;
#if XmVersion >= 2000
    XmRenderTable   render_table;
#endif
    Boolean         reverse;
    Boolean         show_percent;
    Dimension       step_spacing;
    Dimension       step_width;
    XmtProgressStyle style;
    int             value;

    /* private state */
    GC  foreground_gc;
    GC  insensitive_gc;
    GC  text_gc;
    GC  text_insensitive_gc;
    GC  background_gc;

} XmtProgressPart;

typedef struct _XmtProgressRec {
    CorePart core;
    XmPrimitivePart primitive;
    XmtProgressPart progress;
} XmtProgressRec;

#endif

